﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Claims;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Authentication;

namespace Basics.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }

        [Authorize]
        public IActionResult Secret()
        {
            return View();
        }

        public IActionResult Authenticate()
        {
            var grandmaClaims = new List<Claim>()
            {
                new Claim(ClaimTypes.Name,"alan"),
                new Claim(ClaimTypes.Email,"alan.f@marcopacs.com"),
                new Claim("Grandma Says","good boy")
            };

            var licenseClaims = new List<Claim>()
            {
                new Claim(ClaimTypes.Name,"farzin"),
                new Claim("Driving Lisence","A")
            };

            var grandmaIdentity = new ClaimsIdentity(grandmaClaims, "Grandma Identity");
            var licenseIdentity = new ClaimsIdentity(licenseClaims, "Goverment");

            var userPrinciple = new ClaimsPrincipal(new[] {grandmaIdentity,licenseIdentity });


            HttpContext.SignInAsync(userPrinciple);

            return RedirectToAction("Index");
        }
    }
}